Bug 853881 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:ce8269e822fe7957347e51e3ec7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 04:40 EDT by Firpo Claudio
Modified: 2013-08-01 15:12 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.56 KB, text/plain)
2012-09-03 04:40 EDT, Firpo Claudio
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (377 bytes, text/plain)
2012-09-03 04:40 EDT, Firpo Claudio
no flags Details

  None (edit)
Description Firpo Claudio 2012-09-03 04:40:52 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.2-3.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514ab]
:2: /usr/bin/Xorg (0x400000+0x47f02) [0x447f02]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f127b64e000+0x60e4) [0x7f127b6540e4]
:4: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
:5: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
:6: /lib64/libpthread.so.0 (0x376dc00000+0xefe0) [0x376dc0efe0]
:7: /lib64/libc.so.6 (ioctl+0x7) [0x376d8ea2f7]
:8: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x3785c03548]
:9: /lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x3785c0577b]
:10: /lib64/libdrm_nouveau.so.1 (0x7f127eacb000+0x3085) [0x7f127eace085]
:11: /lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x103) [0x7f127eace6b3]
:12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f127ecd1000+0x6718) [0x7f127ecd7718]
:13: /usr/lib64/xorg/modules/libexa.so (0x7f127e07f000+0xb007) [0x7f127e08a007]
:14: /usr/bin/Xorg (0x400000+0x160483) [0x560483]
:15: /usr/bin/Xorg (0x400000+0xc9d50) [0x4c9d50]
:16: /usr/bin/Xorg (0x400000+0xfa8da) [0x4fa8da]
:17: /usr/bin/Xorg (0x400000+0x3444a) [0x43444a]
:18: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:19: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x376d821735]
:20: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 Firpo Claudio 2012-09-03 04:40:54 EDT
Created attachment 609296 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Firpo Claudio 2012-09-03 04:40:56 EDT
Created attachment 609297 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 smanocch 2012-09-05 08:31:11 EDT
Enabling second monitor

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Jenn 2012-10-05 11:18:43 EDT
Only started the PC...

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Niki W. Waibel 2012-10-09 20:22:32 EDT
i've tried to run celestia -- which was working for about 6sec, then the X server hung.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 smanocch 2012-10-10 11:30:15 EDT
Changing monitor

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Richard 2012-10-15 04:14:53 EDT
Xorg Server had a problem at startup

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Adam Jackson 2012-10-18 17:50:39 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 9 Adam Jackson 2012-10-18 17:50:51 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 10 Robert Hancock 2012-11-13 20:09:31 EST
Changed settings in Display application

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Robert Hancock 2012-11-13 20:11:19 EST
There are a number of these bugs which seem related. In my case there were some nouveau kernel errors at the same time as the crash:

Nov 13 19:01:29 newcastle kernel: [   41.878583] [drm] nouveau 0000:01:00.0: EvoCh 2 Mthd 0x0080 Data 0x00000000 (0x000b 0x05)
Nov 13 19:01:30 newcastle kernel: [   42.458475] [drm] nouveau 0000:01:00.0: EvoCh 2 Mthd 0x0080 Data 0x00000000 (0x100b 0x05)
Nov 13 19:01:36 newcastle kernel: [   48.447320] [drm] nouveau 0000:01:00.0: EvoCh 2 Mthd 0x0080 Data 0x00000000 (0x100b 0x05)
Nov 13 19:01:43 newcastle kernel: [   53.731267] detected fb_set_par error, error code: -16
Nov 13 19:01:47 newcastle kernel: [   59.468318] [drm] nouveau 0000:01:00.0: Failed to idle channel 2.
Nov 13 19:01:49 newcastle kernel: [   61.632781] [sched_delayed] sched: RT throttling activated
Nov 13 19:01:50 newcastle kernel: [   62.533759] [drm] nouveau 0000:01:00.0: Failed to idle channel 4.
Nov 13 19:01:59 newcastle kernel: [   68.933395] [drm] nouveau 0000:01:00.0: EvoCh 2 Mthd 0x0080 Data 0x00000000 (0x100b 0x05)
Comment 12 Peter Fuchs 2013-01-28 11:27:40 EST
Added second display to system.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Jeff Gerritsen 2013-02-23 17:27:30 EST
I was working in GIMP opening a new tool panel when an error about not able to find truetype font was issued then the GPU crashed.  Libre Writer was open, Thunderbird email client was open, and Firefox web browser was open.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Fedora End Of Life 2013-07-04 03:16:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 15:12:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.